Bug 1652282 - [3.10] installer checks for images with 'docker images -q'
Summary: [3.10] installer checks for images with 'docker images -q'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.10.z
Assignee: Russell Teague
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1618969
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 19:25 UTC by Russell Teague
Modified: 2018-12-13 17:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Installer tasks used 'docker' command to check for container images which would fail if docker was not installed. Docker may not be installed if cri-o runtime is specified. Consequence: Installer tasks would fail when checking container images. Fix: Updated installer code to use the container image management tool based on the container runtime selected. Result: Installer uses the correct container image management tool based on the selected container runtime and installs successfully.
Clone Of: 1618969
Environment:
Last Closed: 2018-12-13 17:09:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2652 None None None 2018-11-21 19:25:55 UTC
Red Hat Product Errata RHBA-2018:3750 None None None 2018-12-13 17:09:16 UTC

Comment 1 Russell Teague 2018-11-21 19:27:19 UTC
Proposed https://github.com/openshift/openshift-ansible/pull/10747

Comment 6 Russell Teague 2018-11-29 19:21:15 UTC
Fixed in openshift-ansible-3.10.80-1

Comment 7 Weihua Meng 2018-11-30 06:12:42 UTC
Fixed.

openshift-ansible-3.10.82-1.git.0.fcfab8f.el7.noarch

when using 
openshift_use_crio=true
openshift_use_crio_only=true

crictl used rather than docker

Comment 10 errata-xmlrpc 2018-12-13 17:09:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3750


Note You need to log in before you can comment on or make changes to this bug.